=== added file 'COPYING.BSD'
--- COPYING.BSD	1970-01-01 00:00:00 +0000
+++ COPYING.BSD	2010-09-28 07:45:44 +0000
@@ -0,0 +1,29 @@
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    * Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.
+
+    * Redistributions in binary form must reproduce the above
+copyright notice, this list of conditions and the following disclaimer
+in the documentation and/or other materials provided with the
+distribution.
+
+    * The names of its contributors may not be used to endorse or
+promote products derived from this software without specific prior
+written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

=== modified file 'Makefile.am'
--- Makefile.am	2010-09-21 22:26:25 +0000
+++ Makefile.am	2010-09-28 07:45:44 +0000
@@ -40,6 +40,7 @@
 BUILT_SOURCES=
 EXTRA_DIST= \
 	    .quickly \
+	    COPYING.BSD \
 	    DRIZZLE.FAQ \
 	    EXCEPTIONS-CLIENT \
 	    config/autorun.sh \

=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2010-09-26 08:33:47 +0000
+++ client/drizzle.cc	2010-09-28 15:53:55 +0000
@@ -1295,12 +1295,9 @@
   N_("Continue even if we get an sql error."))
   ("named-commands,G", po::value<bool>(&named_cmds)->default_value(false)->zero_tokens(),
   N_("Enable named commands. Named commands mean this program's internal commands; see drizzle> help . When enabled, the named commands can be used from any line of the query, otherwise only from the first line, before an enter."))
-  ("ignore-spaces,i", N_("Ignore space after function names."))
   ("no-beep,b", po::value<bool>(&opt_nobeep)->default_value(false)->zero_tokens(),
   N_("Turn off beep on error."))
   ("disable-line-numbers", N_("Do not write line numbers for errors."))
-  ("skip-line-numbers,L", 
-  N_("Don't write line number for errors. WARNING: -L is deprecated, use long version of this option instead."))
   ("disable-column-names", N_("Do not write column names in results."))
   ("skip-column-names,N", 
   N_("Don't write column names in results. WARNING: -N is deprecated, use long version of this options instead."))

=== modified file 'docs/clients/drizzledump.rst'
--- docs/clients/drizzledump.rst	2010-09-26 21:24:38 +0000
+++ docs/clients/drizzledump.rst	2010-09-28 13:58:11 +0000
@@ -3,4 +3,252 @@
 
 The :program:`drizzledump` command line tool is used for backing up and
 restoring logical backups of a Drizzle database, as well as for migrating
-from *MySQL*.
+from *MySQL*.  It is called like this::
+
+     $ drizzledump [OPTIONS] database [tables]
+     $ drizzledump [OPTIONS] --databases [OPTIONS] DB1 [DB2 DB3...]
+     $ drizzledump [OPTIONS] --all-databases [OPTIONS]
+
+When connecting to a Drizzle server it will do a plain dump of the server.  It
+will, however, automatically detect when it is connected to a *MySQL* server and
+will convert the tables and data into a Drizzle compatible format.
+
+Any binary data in tables will be converted into hexadecimal output so that it
+does not corrupt the dump file.
+
+Drizzledump options
+-------------------
+
+The :program:`drizzledump` tool has several available options:
+
+.. option:: -A, --all-databases
+   
+   Dumps all databases found on the server apart from *information_schema* and
+   *data_dictionary* in Drizzle and *information_schema*, *performance_schema*
+   and *mysql* in MySQL.
+
+.. option:: -c, --complete-insert
+
+   Dumps using complete insert statements. *CURRENTLY BROKEN*
+
+.. option:: -C, --compress
+
+   Use client/server compression protocol.
+
+.. option:: -F, --flush-logs
+
+   Flush the server logs before commencing with the dump. *CURRENTLY_BROKEN*
+
+.. option:: -f, --force
+
+   Continue even if we get an sql-error. *CURRENTLY_BROKEN*
+
+.. option:: -?, --help
+
+   Show a message with all the available options.
+
+.. option:: -x, --lock-all-tables
+
+   Locks all the tables for all databases with a global read lock.  The lock is
+   released automatically when :program:`drizzledump` ends.
+   Turns on :option:`--single-transaction` and :option:`--lock-tables`.
+
+.. option:: --single-transaction
+
+   Creates a consistent snapshot by dumping the tables in a single transaction.
+   During the snapshot no other connected client should use any of the
+   following as this will implicitly commit the transaction and prevent the
+   consistency::
+
+      ALTER TABLE
+      DROP TABLE
+      RENAME TABLE
+      TRUNCATE TABLE
+
+   Only works with InnoDB.  Automatically disables :option:`--lock-tables`.
+
+.. option:: --disable-opt
+
+   A shortcut for :option:`--skip-drop-table`, :option:`--skip-locks`,
+   :option:`--skip-create`, :option:`--slow`, :option:`--skip-extended-insert`
+   and :option:`--skip-disable-keys`
+
+.. option:: --tables t1 t2 ...
+
+   Dump a list of tables.
+
+.. option:: --show-progress-size rows (=10000)
+
+   Show progress of the dump every *rows* of the dump.  Requires
+   :option:`--verbose`
+
+.. option:: -v, --verbose
+
+   Sends various verbose information to stderr as the dump progresses.
+
+.. option:: --skip-create
+
+   Do not dump the CREATE TABLE / CREATE DATABASE statements.
+
+.. option:: --skip-extended-insert
+
+   Dump every row on an individual line.  For example::
+
+     INSERT INTO `t1` VALUES (1,'hello');
+     INSERT INTO `t1` VALUES (2,'world');
+
+.. option:: --skip-dump-date
+
+   Do not display the date/time at the end of the dump.
+
+.. option:: --no-defaults
+
+   Do not attempt to read configuration from configuration files.
+
+.. option:: --add-drop-database
+
+   Add `DROP DATABASE` statements before `CREATE DATABASE`.
+
+.. option:: --compact
+
+   Gives a more compact output by disabling header/footer comments and enabling
+   :option:`--skip-add-drop-table`, :option:`--no-set-names`,
+   :option:`--skip-disable-keys` and :option:`--skip-add-locks`.
+
+.. option:: -B, --databases
+
+   Dump several databases.  The databases do not need to follow on after this
+   option, they can be anywhere in the command line.
+
+.. option:: --insert-ignore
+
+   Add the `IGNORE` keyword into every `INSERT` statement.
+
+.. option:: --no-autocommit
+
+   Make the dump of each table a single transaction by wrapping it in `COMMIT`
+   statements.
+
+.. option:: -n, --no-create-db
+
+   Do not output the `CREATE DATABASE` statements when using
+   :option:`--all-databases` or :option:`--databases`.
+
+.. option:: -d, --no-data
+
+   Do not dump the data itself, used to dump the schemas only.
+
+.. option:: --slow
+
+   Dump directly from database to destination rather than using a query buffer.
+
+.. option:: --replace
+
+   Use `REPLACE INTO` statements instead of `INSERT INTO`
+
+.. option:: --destination-type type (=stdout)
+
+   Destination of the data.
+
+   **stdout**
+      The default.  Output to the command line
+
+   **database**
+      Connect to another database and pipe data to that.
+
+   .. versionadded:: 2010-09-27
+
+.. option:: --destination-host hostname (=localhost)
+
+   The hostname for the destination database.  Requires
+   :option:`--destination-type` `= database`
+
+   .. versionadded:: 2010-09-27
+
+.. option:: --destination-port port (=3306)
+
+   The port number for the destination database.  Requires
+   :option:`--destination-type` `= database`
+
+  .. versionadded:: 2010-09-27
+
+.. option:: --destination-user username
+
+   The username for the destinations database.  Requires
+   :option:`--destination-type` `= database`
+
+  .. versionadded:: 2010-09-27
+
+.. option:: --destination-password password
+
+   The password for the destination database.  Requires
+   :option:`--destination-type` `= database`
+
+  .. versionadded:: 2010-09-27
+
+.. option:: --destination-database database
+
+   The database for the destination database, for use when only dumping a
+   single database.  Requires
+   :option:`--destination-type` `= database`
+
+  .. versionadded:: 2010-09-27
+
+.. option:: -h, --host hostname (=localhost)
+
+   The hostname of the database server.
+
+.. option:: -u, --user username
+
+   The username for the database server.
+
+.. option:: -P, --password password
+
+   The password for the database server.
+
+.. option:: -p, --port port (=3306,4427)
+
+   The port number of the database server.  Defaults to 3306 for MySQL protocol
+   and 4427 for Drizzle protocol.
+
+.. option:: --protocol protocol (=mysql)
+
+   The protocol to use when connecting to the database server.  Options are:
+
+   **mysql**
+      The standard MySQL protocol.
+
+   **drizzle**
+      The Drizzle protocol.
+
+Backups using Drizzledump
+-------------------------
+
+Backups of a database can be made very simply by running the following::
+
+     $ drizzledump --all-databases > dumpfile.sql
+
+This can then be re-imported into drizzle at a later date using::
+
+     $ drizzle < dumpfile.sql
+
+MySQL Migration using Drizzledump
+---------------------------------
+
+As of version 2010-09-27 there is the capability to migrate databases from
+MySQL to Drizzle using :program:`drizzledump`.
+
+:program:`drizzledump` will automatically detect whether it is talking to a
+MySQL or Drizzle database server.  If it is connected to a MySQL server it will
+automatically convert all the structures and data into a Drizzle compatible 
+format.
+
+So, simply connecting to a MySQL server with :program:`drizzledump` as follows
+will give you a Drizzle compatible output::
+
+     $ drizzledump --all-databases --host=mysql-host --user=mysql-user --password > dumpfile.sql
+
+Additionally :program:`drizzledump` can now dump from MySQL and import directly
+into a Drizzle server as follows::
+
+     $ drizzledump --all-databases --host=mysql-host --user=mysql-user --password --destination-type=database --desination-host=drizzle-host

=== modified file 'docs/doxygen.h'
--- docs/doxygen.h	2010-08-12 20:27:32 +0000
+++ docs/doxygen.h	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'drizzled/transaction_services.cc'
--- drizzled/transaction_services.cc	2010-09-27 17:55:50 +0000
+++ drizzled/transaction_services.cc	2010-09-28 01:43:36 +0000
@@ -1426,17 +1426,7 @@
       field_metadata->set_type(message::internalFieldTypeToFieldProtoType(current_field->type()));
     }
 
-    /*
-     * The below really should be moved into the Field API and Record API.  But for now
-     * we do this crazy pointer fiddling to figure out if the current field
-     * has been updated in the supplied record raw byte pointers.
-     */
-    const unsigned char *old_ptr= (const unsigned char *) old_record + (ptrdiff_t) (current_field->ptr - in_table->getInsertRecord()); 
-    const unsigned char *new_ptr= (const unsigned char *) new_record + (ptrdiff_t) (current_field->ptr - in_table->getInsertRecord()); 
-
-    uint32_t field_length= current_field->pack_length(); /** @TODO This isn't always correct...check varchar diffs. */
-
-    if (memcmp(old_ptr, new_ptr, field_length) != 0)
+    if (isFieldUpdated(current_field, in_table, old_record, new_record))
     {
       /* Field is changed from old to new */
       field_metadata= header->add_set_field_metadata();
@@ -1479,17 +1469,8 @@
      * UPDATE t1 SET counter = counter + 1 WHERE id IN (1,2);
      *
      * We will generate two UpdateRecord messages with different set_value byte arrays.
-     *
-     * The below really should be moved into the Field API and Record API.  But for now
-     * we do this crazy pointer fiddling to figure out if the current field
-     * has been updated in the supplied record raw byte pointers.
      */
-    const unsigned char *old_ptr= (const unsigned char *) old_record + (ptrdiff_t) (current_field->ptr - in_table->getInsertRecord()); 
-    const unsigned char *new_ptr= (const unsigned char *) new_record + (ptrdiff_t) (current_field->ptr - in_table->getInsertRecord()); 
-
-    uint32_t field_length= current_field->pack_length(); /** @TODO This isn't always correct...check varchar diffs. */
-
-    if (memcmp(old_ptr, new_ptr, field_length) != 0)
+    if (isFieldUpdated(current_field, in_table, old_record, new_record))
     {
       /* Store the original "read bit" for this field */
       bool is_read_set= current_field->isReadSet();
@@ -1541,6 +1522,47 @@
   }
 }
 
+bool TransactionServices::isFieldUpdated(Field *current_field,
+                                         Table *in_table,
+                                         const unsigned char *old_record,
+                                         const unsigned char *new_record)
+{
+  /*
+   * The below really should be moved into the Field API and Record API.  But for now
+   * we do this crazy pointer fiddling to figure out if the current field
+   * has been updated in the supplied record raw byte pointers.
+   */
+  const unsigned char *old_ptr= (const unsigned char *) old_record + (ptrdiff_t) (current_field->ptr - in_table->getInsertRecord());
+  const unsigned char *new_ptr= (const unsigned char *) new_record + (ptrdiff_t) (current_field->ptr - in_table->getInsertRecord());
+
+  uint32_t field_length= current_field->pack_length(); /** @TODO This isn't always correct...check varchar diffs. */
+
+  bool old_value_is_null= current_field->is_null_in_record(old_record);
+  bool new_value_is_null= current_field->is_null_in_record(new_record);
+
+  bool isUpdated= false;
+  if (old_value_is_null != new_value_is_null)
+  {
+    if ((old_value_is_null) && (! new_value_is_null)) /* old value is NULL, new value is non NULL */
+    {
+      isUpdated= true;
+    }
+    else if ((! old_value_is_null) && (new_value_is_null)) /* old value is non NULL, new value is NULL */
+    {
+      isUpdated= true;
+    }
+  }
+
+  if (! isUpdated)
+  {
+    if (memcmp(old_ptr, new_ptr, field_length) != 0)
+    {
+      isUpdated= true;
+    }
+  }
+  return isUpdated;
+}  
+
 message::Statement &TransactionServices::getDeleteStatement(Session *in_session,
                                                             Table *in_table,
                                                             uint32_t *next_segment_id)

=== modified file 'drizzled/transaction_services.h'
--- drizzled/transaction_services.h	2010-08-28 01:11:17 +0000
+++ drizzled/transaction_services.h	2010-09-28 01:41:30 +0000
@@ -41,7 +41,8 @@
 
 class Session;
 class NamedSavepoint;
-
+class Field;
+ 
 /**
  * This is a class which manages the XA transaction processing
  * in the server
@@ -428,6 +429,19 @@
   }
 private:
   atomic<TransactionId> current_transaction_id;
+
+  /**
+   * Checks if a field has been updated 
+   *
+   * @param current_field Pointer to the field to check if it is updated 
+   * @in_table Pointer to the Table containing update information
+   * @param old_record Pointer to the raw bytes representing the old record/row
+   * @param new_record Pointer to the raw bytes representing the new record/row
+   */
+  bool isFieldUpdated(Field *current_field,
+                      Table *in_table,
+                      const unsigned char *old_record,
+                      const unsigned char *new_record);
 };
 
 } /* namespace drizzled */

=== modified file 'examples/client.c'
--- examples/client.c	2010-08-12 20:27:32 +0000
+++ examples/client.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include "config.h"

=== modified file 'examples/pipe_query.c'
--- examples/pipe_query.c	2010-08-12 20:27:32 +0000
+++ examples/pipe_query.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include "config.h"

=== modified file 'examples/proxy.c'
--- examples/proxy.c	2010-08-12 20:27:32 +0000
+++ examples/proxy.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include <errno.h>

=== modified file 'examples/server.c'
--- examples/server.c	2010-08-12 20:27:32 +0000
+++ examples/server.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include <errno.h>

=== modified file 'examples/simple.c'
--- examples/simple.c	2010-08-20 05:59:08 +0000
+++ examples/simple.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include <stdio.h>

=== modified file 'examples/simple_multi.c'
--- examples/simple_multi.c	2010-08-12 20:27:32 +0000
+++ examples/simple_multi.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include <stdio.h>

=== modified file 'examples/sqlite_server.c'
--- examples/sqlite_server.c	2010-08-12 20:27:32 +0000
+++ examples/sqlite_server.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include <errno.h>

=== modified file 'extra/mysql_password_hash.c'
--- extra/mysql_password_hash.c	2010-08-12 20:27:32 +0000
+++ extra/mysql_password_hash.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 #include "config.h"

=== modified file 'libdrizzle/column.c'
--- libdrizzle/column.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/column.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/column.h'
--- libdrizzle/column.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/column.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/column_client.h'
--- libdrizzle/column_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/column_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/column_server.h'
--- libdrizzle/column_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/column_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/command.c'
--- libdrizzle/command.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/command.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/command_client.h'
--- libdrizzle/command_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/command_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/command_server.h'
--- libdrizzle/command_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/command_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/common.h'
--- libdrizzle/common.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/common.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/conn.c'
--- libdrizzle/conn.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/conn.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/conn.h'
--- libdrizzle/conn.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/conn.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/conn_client.h'
--- libdrizzle/conn_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/conn_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/conn_local.h'
--- libdrizzle/conn_local.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/conn_local.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/conn_server.h'
--- libdrizzle/conn_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/conn_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/conn_uds.c'
--- libdrizzle/conn_uds.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/conn_uds.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/constants.h'
--- libdrizzle/constants.h	2010-08-13 05:39:56 +0000
+++ libdrizzle/constants.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/drizzle.c'
--- libdrizzle/drizzle.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/drizzle.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/drizzle.h'
--- libdrizzle/drizzle.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/drizzle.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/drizzle_client.h'
--- libdrizzle/drizzle_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/drizzle_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/drizzle_local.h'
--- libdrizzle/drizzle_local.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/drizzle_local.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/drizzle_server.h'
--- libdrizzle/drizzle_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/drizzle_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/field.c'
--- libdrizzle/field.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/field.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/field_client.h'
--- libdrizzle/field_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/field_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/field_server.h'
--- libdrizzle/field_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/field_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/handshake.c'
--- libdrizzle/handshake.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/handshake.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/handshake_client.h'
--- libdrizzle/handshake_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/handshake_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/handshake_server.h'
--- libdrizzle/handshake_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/handshake_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/include.am'
--- libdrizzle/include.am	2010-09-27 06:11:48 +0000
+++ libdrizzle/include.am	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
 # All rights reserved.
 #
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 #
 

=== modified file 'libdrizzle/pack.c'
--- libdrizzle/pack.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/pack.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/pack.h'
--- libdrizzle/pack.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/pack.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/query.c'
--- libdrizzle/query.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/query.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/query.h'
--- libdrizzle/query.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/query.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/result.c'
--- libdrizzle/result.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/result.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/result.h'
--- libdrizzle/result.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/result.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/result_client.h'
--- libdrizzle/result_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/result_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/result_server.h'
--- libdrizzle/result_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/result_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/row.c'
--- libdrizzle/row.c	2010-08-13 00:11:19 +0000
+++ libdrizzle/row.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/row_client.h'
--- libdrizzle/row_client.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/row_client.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/row_server.h'
--- libdrizzle/row_server.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/row_server.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/state.c'
--- libdrizzle/state.c	2010-08-12 20:27:32 +0000
+++ libdrizzle/state.c	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/state.h'
--- libdrizzle/state.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/state.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/structs.h'
--- libdrizzle/structs.h	2010-08-20 17:54:51 +0000
+++ libdrizzle/structs.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'libdrizzle/visibility.h'
--- libdrizzle/visibility.h	2010-08-12 20:27:32 +0000
+++ libdrizzle/visibility.h	2010-09-28 07:47:48 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  * 
  * Implementation drawn from visibility.texi in gnulib.
  */

=== modified file 'plugin/auth_ldap/schema/gentestusers.sh'
--- plugin/auth_ldap/schema/gentestusers.sh	2010-05-05 20:49:48 +0000
+++ plugin/auth_ldap/schema/gentestusers.sh	2010-09-28 07:43:29 +0000
@@ -1,4 +1,5 @@
 #!/bin/bash
+# Copyright (c) 2010 Edward "Koko" Konetzko <konetzed@quixoticagony.com>
 
 help() {
     echo "Arguement options are:"

=== modified file 'plugin/auth_ldap/schema/openldap/drizzle.ldif'
--- plugin/auth_ldap/schema/openldap/drizzle.ldif	2010-05-05 20:49:48 +0000
+++ plugin/auth_ldap/schema/openldap/drizzle.ldif	2010-09-28 07:43:29 +0000
@@ -1,3 +1,4 @@
+# Copyright (c) 2010 Edward "Koko" Konetzko <konetzed@quixoticagony.com>
 dn: cn=drizzle,cn=schema,cn=config
 objectClass: olcSchemaConfig
 cn: drizzle

=== modified file 'plugin/auth_ldap/schema/openldap/drizzle.schema'
--- plugin/auth_ldap/schema/openldap/drizzle.schema	2010-05-05 20:49:48 +0000
+++ plugin/auth_ldap/schema/openldap/drizzle.schema	2010-09-28 07:43:29 +0000
@@ -1,3 +1,4 @@
+# Copyright (c) 2010 Edward "Koko" Konetzko <konetzed@quixoticagony.com>
 attributetype ( 1.3.6.1.4.1.35583.1.1
     NAME 'drizzleUserMysqlPassword'
         DESC 'Attribute for mysql > 4.1 hash'

=== modified file 'plugin/auth_ldap/test_ldap.sh'
--- plugin/auth_ldap/test_ldap.sh	2010-06-23 20:51:16 +0000
+++ plugin/auth_ldap/test_ldap.sh	2010-09-28 07:43:29 +0000
@@ -1,4 +1,5 @@
 #!/bin/sh
+# Copyright (C) 2010 Eric Day
 
 # Kill any leftover processes from before
 pids=`ps -ef|grep drizzled|grep 12345|awk '{print $2}'`

=== modified file 'plugin/mysql_protocol/prototest/drizzle_flood'
--- plugin/mysql_protocol/prototest/drizzle_flood	2010-03-17 02:01:05 +0000
+++ plugin/mysql_protocol/prototest/drizzle_flood	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 '''
 Send an infinite amount of data to a MySQL server.

=== modified file 'plugin/mysql_protocol/prototest/drizzle_prototest'
--- plugin/mysql_protocol/prototest/drizzle_prototest	2010-06-20 14:27:46 +0000
+++ plugin/mysql_protocol/prototest/drizzle_prototest	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 '''
 Drizzle and MySQL Protocol Test Suite

=== modified file 'plugin/mysql_protocol/prototest/prototest/mysql/bitfield.py'
--- plugin/mysql_protocol/prototest/prototest/mysql/bitfield.py	2010-03-10 23:31:17 +0000
+++ plugin/mysql_protocol/prototest/prototest/mysql/bitfield.py	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 
 import unittest

=== modified file 'plugin/mysql_protocol/prototest/prototest/mysql/column.py'
--- plugin/mysql_protocol/prototest/prototest/mysql/column.py	2010-03-10 23:31:17 +0000
+++ plugin/mysql_protocol/prototest/prototest/mysql/column.py	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 '''
 MySQL Protocol Column Objects

=== modified file 'plugin/mysql_protocol/prototest/prototest/mysql/command.py'
--- plugin/mysql_protocol/prototest/prototest/mysql/command.py	2010-03-10 23:31:17 +0000
+++ plugin/mysql_protocol/prototest/prototest/mysql/command.py	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 '''
 MySQL Protocol Command Objects

=== modified file 'plugin/mysql_protocol/prototest/prototest/mysql/handshake.py'
--- plugin/mysql_protocol/prototest/prototest/mysql/handshake.py	2010-03-10 23:31:17 +0000
+++ plugin/mysql_protocol/prototest/prototest/mysql/handshake.py	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 '''
 MySQL Protocol Handshake Objects

=== modified file 'plugin/mysql_protocol/prototest/prototest/mysql/packet.py'
--- plugin/mysql_protocol/prototest/prototest/mysql/packet.py	2010-03-15 22:34:38 +0000
+++ plugin/mysql_protocol/prototest/prototest/mysql/packet.py	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 '''
 MySQL Protocol Packet Objects

=== modified file 'plugin/mysql_protocol/prototest/prototest/mysql/result.py'
--- plugin/mysql_protocol/prototest/prototest/mysql/result.py	2010-03-10 23:31:17 +0000
+++ plugin/mysql_protocol/prototest/prototest/mysql/result.py	2010-09-28 07:50:05 +0000
@@ -6,7 +6,7 @@
 # All rights reserved.
 # 
 # Use and distribution licensed under the BSD license.  See
-# the COPYING file in this directory for full text.
+# the COPYING.BSD file in the root source directory for full text.
 #
 '''
 MySQL Protocol Result Objects

=== modified file 'plugin/transaction_log/tests/r/null_values.result'
--- plugin/transaction_log/tests/r/null_values.result	2010-09-19 23:53:02 +0000
+++ plugin/transaction_log/tests/r/null_values.result	2010-09-28 01:41:30 +0000
@@ -1,4 +1,4 @@
-DROP TABLE IF EXISTS t1, t2, t3;
+DROP TABLE IF EXISTS t1, t2, t3, t4;
 CREATE TABLE t1 (a INT NOT NULL, b CHAR(1000), PRIMARY KEY (a));
 INSERT INTO t1 VALUES (1,"update me");
 INSERT INTO t1 VALUES (2,'');
@@ -13,7 +13,11 @@
 CREATE TABLE t3 (a INT NOT NULL, b ENUM ('1','2'), PRIMARY KEY(a));
 INSERT INTO t3 VALUES (1,'1');
 INSERT INTO t3 VALUES (2,NULL);
-DROP TABLE t1, t2, t3;
+CREATE TABLE t4 (id INT NOT NULL, col0_int INT DEFAULT NULL, col1_int INT DEFAULT NULL, PRIMARY KEY (id));
+INSERT INTO t4 VALUES (1, NULL, 1);
+UPDATE t4 SET col0_int= 0 WHERE col1_int != 2;
+UPDATE t4 SET col0_int= NULL WHERE col1_int != 2;
+DROP TABLE t1, t2, t3, t4;
 START TRANSACTION;
 DROP TABLE IF EXISTS `test`.`t1`;
 COMMIT;
@@ -24,6 +28,9 @@
 DROP TABLE IF EXISTS `test`.`t3`;
 COMMIT;
 START TRANSACTION;
+DROP TABLE IF EXISTS `test`.`t4`;
+COMMIT;
+START TRANSACTION;
 CREATE TABLE `test`.`t1` (   `a` INT NOT NULL,   `b` VARCHAR(1000) COLLATE utf8_general_ci DEFAULT NULL,   PRIMARY KEY (`a`) ) ENGINE=InnoDB COLLATE = utf8_general_ci;
 COMMIT;
 START TRANSACTION;
@@ -67,6 +74,18 @@
 INSERT INTO `test`.`t3` (`a`,`b`) VALUES (2,NULL);
 COMMIT;
 START TRANSACTION;
+CREATE TABLE `test`.`t4` (   `id` INT NOT NULL,   `col0_int` INT DEFAULT NULL,   `col1_int` INT DEFAULT NULL,   PRIMARY KEY (`id`) ) ENGINE=InnoDB COLLATE = utf8_general_ci;
+COMMIT;
+START TRANSACTION;
+INSERT INTO `test`.`t4` (`id`,`col0_int`,`col1_int`) VALUES (1,NULL,1);
+COMMIT;
+START TRANSACTION;
+UPDATE `test`.`t4` SET `col0_int`=0 WHERE `id`=1;
+COMMIT;
+START TRANSACTION;
+UPDATE `test`.`t4` SET `col0_int`=NULL WHERE `id`=1;
+COMMIT;
+START TRANSACTION;
 DROP TABLE `test`.`t1`;
 COMMIT;
 START TRANSACTION;
@@ -75,4 +94,7 @@
 START TRANSACTION;
 DROP TABLE `test`.`t3`;
 COMMIT;
+START TRANSACTION;
+DROP TABLE `test`.`t4`;
+COMMIT;
 SET GLOBAL transaction_log_truncate_debug= true;

=== modified file 'plugin/transaction_log/tests/r/transaction_log_update.result'
--- plugin/transaction_log/tests/r/transaction_log_update.result	2010-09-17 14:56:24 +0000
+++ plugin/transaction_log/tests/r/transaction_log_update.result	2010-09-28 01:41:30 +0000
@@ -1352,3 +1352,139 @@
 DROP TABLE t1;
 SET GLOBAL transaction_log_truncate_debug= true;
 
+Testing UPDATE LP Bug#644529
+DROP TABLE IF EXISTS t1;
+CREATE TABLE t1 (
+id INT NOT NULL
+, col0_int INT DEFAULT NULL
+, col1_int INT DEFAULT NULL
+, PRIMARY KEY (id)
+);
+INSERT INTO t1 VALUES (1, NULL, 1);
+UPDATE t1 SET col0_int= 0 WHERE col1_int != 2;
+# check transaction_log
+SELECT * FROM DATA_DICTIONARY.TRANSACTION_LOG;
+FILE_NAME	FILE_LENGTH	NUM_LOG_ENTRIES	NUM_TRANSACTIONS	MIN_TRANSACTION_ID	MAX_TRANSACTION_ID	MIN_END_TIMESTAMP	MAX_END_TIMESTAMP	INDEX_SIZE_IN_BYTES
+transaction.log	512	4	4	1	4	START_TIMESTAMP	END_TIMESTAMP	INDEX_SIZE
+
+Check transaction_log_entries
+SELECT * FROM DATA_DICTIONARY.TRANSACTION_LOG_ENTRIES;
+ENTRY_OFFSET	ENTRY_TYPE	ENTRY_LENGTH
+0	TRANSACTION	75
+75	TRANSACTION	197
+272	TRANSACTION	130
+402	TRANSACTION	110
+
+Check transaction_log_transactions
+SELECT * FROM DATA_DICTIONARY.TRANSACTION_LOG_TRANSACTIONS;
+ENTRY_OFFSET	TRANSACTION_ID	SERVER_ID	START_TIMESTAMP	END_TIMESTAMP	NUM_STATEMENTS	CHECKSUM
+0	1	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+75	2	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+272	3	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+402	4	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+Check transaction log contents
+SELECT PRINT_TRANSACTION_MESSAGE('transaction.log',(select max(entry_offset) from DATA_DICTIONARY.TRANSACTION_LOG_TRANSACTIONS));
+PRINT_TRANSACTION_MESSAGE('transaction.log',(select max(entry_offset) from DATA_DICTIONARY.TRANSACTION_LOG_TRANSACTIONS))
+transaction_context {
+  server_id: 1
+  transaction_id: 4
+  START_TIMESTAMP
+  END_TIMESTAMP
+}
+statement {
+  type: UPDATE
+  START_TIMESTAMP
+  END_TIMESTAMP
+  update_header {
+    table_metadata {
+      schema_name: "test"
+      table_name: "t1"
+    }
+    key_field_metadata {
+      type: INTEGER
+      name: "id"
+    }
+    set_field_metadata {
+      type: INTEGER
+      name: "col0_int"
+    }
+  }
+  update_data {
+    segment_id: 1
+    end_segment: true
+    record {
+      key_value: "1"
+      after_value: "0"
+      is_null: false
+    }
+  }
+}
+
+
+
+UPDATE t1 SET col0_int= NULL WHERE col1_int != 2;
+# check transaction_log
+SELECT * FROM DATA_DICTIONARY.TRANSACTION_LOG;
+FILE_NAME	FILE_LENGTH	NUM_LOG_ENTRIES	NUM_TRANSACTIONS	MIN_TRANSACTION_ID	MAX_TRANSACTION_ID	MIN_END_TIMESTAMP	MAX_END_TIMESTAMP	INDEX_SIZE_IN_BYTES
+transaction.log	621	5	5	1	5	START_TIMESTAMP	END_TIMESTAMP	INDEX_SIZE
+
+Check transaction_log_entries
+SELECT * FROM DATA_DICTIONARY.TRANSACTION_LOG_ENTRIES;
+ENTRY_OFFSET	ENTRY_TYPE	ENTRY_LENGTH
+0	TRANSACTION	75
+75	TRANSACTION	197
+272	TRANSACTION	130
+402	TRANSACTION	110
+512	TRANSACTION	109
+
+Check transaction_log_transactions
+SELECT * FROM DATA_DICTIONARY.TRANSACTION_LOG_TRANSACTIONS;
+ENTRY_OFFSET	TRANSACTION_ID	SERVER_ID	START_TIMESTAMP	END_TIMESTAMP	NUM_STATEMENTS	CHECKSUM
+0	1	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+75	2	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+272	3	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+402	4	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+512	5	1	START_TIMESTAMP	END_TIMESTAMP	1	0
+Check transaction log contents
+SELECT PRINT_TRANSACTION_MESSAGE('transaction.log',(select max(entry_offset) from DATA_DICTIONARY.TRANSACTION_LOG_TRANSACTIONS));
+PRINT_TRANSACTION_MESSAGE('transaction.log',(select max(entry_offset) from DATA_DICTIONARY.TRANSACTION_LOG_TRANSACTIONS))
+transaction_context {
+  server_id: 1
+  transaction_id: 5
+  START_TIMESTAMP
+  END_TIMESTAMP
+}
+statement {
+  type: UPDATE
+  START_TIMESTAMP
+  END_TIMESTAMP
+  update_header {
+    table_metadata {
+      schema_name: "test"
+      table_name: "t1"
+    }
+    key_field_metadata {
+      type: INTEGER
+      name: "id"
+    }
+    set_field_metadata {
+      type: INTEGER
+      name: "col0_int"
+    }
+  }
+  update_data {
+    segment_id: 1
+    end_segment: true
+    record {
+      key_value: "1"
+      after_value: ""
+      is_null: true
+    }
+  }
+}
+
+
+
+DROP TABLE t1;
+SET GLOBAL transaction_log_truncate_debug= true;
+

=== modified file 'plugin/transaction_log/tests/t/null_values.inc'
--- plugin/transaction_log/tests/t/null_values.inc	2010-09-19 23:53:02 +0000
+++ plugin/transaction_log/tests/t/null_values.inc	2010-09-28 01:41:30 +0000
@@ -3,7 +3,7 @@
 #
 
 --disable_warnings
-DROP TABLE IF EXISTS t1, t2, t3;
+DROP TABLE IF EXISTS t1, t2, t3, t4;
 --enable_warnings
 
 CREATE TABLE t1 (a INT NOT NULL, b CHAR(1000), PRIMARY KEY (a));
@@ -26,4 +26,9 @@
 INSERT INTO t3 VALUES (1,'1');
 INSERT INTO t3 VALUES (2,NULL);
 
-DROP TABLE t1, t2, t3;
+CREATE TABLE t4 (id INT NOT NULL, col0_int INT DEFAULT NULL, col1_int INT DEFAULT NULL, PRIMARY KEY (id));
+INSERT INTO t4 VALUES (1, NULL, 1);
+UPDATE t4 SET col0_int= 0 WHERE col1_int != 2;
+UPDATE t4 SET col0_int= NULL WHERE col1_int != 2;
+
+DROP TABLE t1, t2, t3, t4;

=== modified file 'plugin/transaction_log/tests/t/transaction_log_update.test'
--- plugin/transaction_log/tests/t/transaction_log_update.test	2010-09-08 23:36:36 +0000
+++ plugin/transaction_log/tests/t/transaction_log_update.test	2010-09-28 01:41:30 +0000
@@ -309,3 +309,29 @@
 --source ../plugin/transaction_log/tests/t/truncate_log.inc
 --echo
 
+--echo Testing UPDATE LP Bug#644529
+--disable_warnings
+DROP TABLE IF EXISTS t1;
+--enable_warnings
+
+CREATE TABLE t1 (
+  id INT NOT NULL
+, col0_int INT DEFAULT NULL
+, col1_int INT DEFAULT NULL
+, PRIMARY KEY (id)
+);
+
+INSERT INTO t1 VALUES (1, NULL, 1);
+UPDATE t1 SET col0_int= 0 WHERE col1_int != 2;
+--source ../plugin/transaction_log/tests/t/check_transaction_log.inc
+--echo
+UPDATE t1 SET col0_int= NULL WHERE col1_int != 2;    
+--source ../plugin/transaction_log/tests/t/check_transaction_log.inc
+--echo
+
+DROP TABLE t1;
+
+# Truncate the log file to reset for the next test
+--source ../plugin/transaction_log/tests/t/truncate_log.inc
+--echo
+

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2010-09-22 07:05:47 +0000
+++ tests/test-run.pl	2010-09-28 11:28:35 +0000
@@ -3490,7 +3490,6 @@
   if ( $opt_callgrind)
   {
     mtr_add_arg($args, "--tool=callgrind");
-    mtr_add_arg($args, "--base=$opt_vardir/log");
   }
   elsif ($opt_massif)
   {

=== modified file 'unittests/client_server.c'
--- unittests/client_server.c	2010-08-12 22:09:24 +0000
+++ unittests/client_server.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

=== modified file 'win32/conn_uds.c'
--- win32/conn_uds.c	2010-08-20 05:59:08 +0000
+++ win32/conn_uds.c	2010-09-28 07:50:05 +0000
@@ -5,7 +5,7 @@
  * All rights reserved.
  *
  * Use and distribution licensed under the BSD license.  See
- * the COPYING file in this directory for full text.
+ * the COPYING.BSD file in the root source directory for full text.
  */
 
 /**

